#!/usr/bin/env python3
# Copyright 2018-2024 The Wazo Authors  (see the AUTHORS file)
# SPDX-License-Identifier: GPL-3.0-or-later

from setuptools import find_packages, setup

setup(
    name='wazo-nestbox-plugin',
    version='1.0',
    description='Wazo NestBox Integration',
    author='Wazo Authors',
    author_email='dev@wazo.io',
    url='http://wazo.io',
    packages=find_packages(),
    include_package_data=True,
    entry_points={
        'wazo_webhookd.services': [
            'nestbox_account = wazo_nestbox_plugin.webhookd.plugin:Service',
        ],
        'wazo_auth.metadata': [
            'nestbox_jwt = wazo_nestbox_plugin.auth.plugin:NestboxJWT',
        ],
        'wazo_auth.external_auth': [
            'mobile_fcm_sender_id = wazo_nestbox_plugin.auth.fcm:Plugin',
        ],
    },
)
